> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar webhook por ID

> Actualizar detalles del webhook por ID



## OpenAPI

````yaml put /webhook/:webhookId
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /webhook/:webhookId:
    put:
      tags:
        - Webhook
      summary: Actualizar webhook por ID
      description: Actualizar detalles del webhook por ID
      parameters:
        - schema:
            type: number
          required: true
          name: webhookId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                events:
                  type: array
                  items:
                    type: string
                    enum:
                      - payment.created
                      - payment.voided
                      - payment.chargeback
                      - contact.status
                      - contact.active
                      - contact.inactive
                      - subscription.created
                      - subscription.updated
                      - subscription.cancelled
                  minItems: 1
                active:
                  type: boolean
              required:
                - url
                - events
                - active
      responses:
        '200':
          description: Webhook actualizado con éxito por ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '400':
          description: Solicitud incorrecta, datos de entrada no válidos
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '404':
          description: Webhook no encontrado
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````